AOZ Studio Beta - Bug #974

Flashing cursor non existant in amiga mode in betaoz channel (git) version.
12/08/2022 01:24 PM - malcolm harvey

Status: Closed Start date: 12/08/2022
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: none

Affected version: 1.0 (u38)

Description

The flashing cursor now currently is not working anymore. (Amiga mode).
Looks to be not there now. Like flash is not functioning.
Also turning on flash manually did not seam to make a difference either.

Ok, Cursor in the current live version (aoz studio website) as it was defiantly working.
See screenshots....attached.

In the test betaoz channel (git) ver yes no cursor same code.

No matter whether (safe,fair,fast) either, seams to be gone.

(The cursor of course is still there but no flash.

Note: This seams to have changed after screen timming changes etc after the website version.

History

#1 - 12/14/2022 09:34 PM - malcolm harvey

Strange indeed, this issue seams to have corrected itself using same code after windows updates and also browser updates to ver 108.x today in the
aoz edu version anyways.

Curs now appears again and is indeed flashing.

| will retest again with later betaoz channel update, and see if still fixed to confirm nd if so, then close ticket.

#2 - 12/25/2022 01:04 AM - malcolm harvey

Problem Still present again in current beta 16 u29.
Flashing cursor now not showing (Amiga manifest mode) but can still type input tho.

#3 - 12/29/2022 11:22 PM - malcolm harvey

- Assignee changed from AOZ Studio Team to Francois Lionet

Same in version V1.0 U33. Leave now for francois. Yes, it would be good to get the curs back. Thankyou.
Not only is it gone from line input in 'amiga’ mode also the input statement. Same in "aoz" mode.

BaptisteB notes on what he saw of it now..

This effect is due to the cursor location restoration code. When the cursor existed, the image under the cursor was kept in memory, and it was
restored in a synchronized way. The effect you see is the image saved at that location and redrawn on the screen. So some of the code related to the
cursor is still active.

#4 - 01/16/2023 01:03 PM - malcolm harvey
- Affected version changed from 1.0.0 (B17) to 1.0 (u38)

#5 - 01/18/2023 01:12 PM - Francois Lionet

Fixed! A bad bug since the 3D screens were implemented.

#6 - 01/19/2023 01:40 AM - malcolm harvey

- Status changed from New to Closed

Ok ill test again on the next update on the web test it then.
Thankyou. (Closed for now).
